Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006321opensim[REGION] OpenSim Corepublic2012-09-27 07:152014-07-29 13:42
Reporternickyp 
Assigned ToTeravus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSwindowsOS VersionHome preimum
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006321: terrain lag when lowering a flattening
DescriptionLog to a flat sim or other large flat area.
Select edit terrain.
Select raise.
Randomly raise areas across the sim and stop at different areas to make them higher.
Select lower.
Move the Strength slider to maximum.
Adjust size as desired but, higher than when on raise.
The objective is a quick reversal of the raise.
Move the bulldozer quickly over the raised areas.
Observe that the lower effect is much slower than the raise effect and the lowering lags behind the
bulldozer by a noticeable amount with the lowering effect continuing in areas much removed from the
bulldozers present position.
Steps To ReproduceSee Description
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
ViewerKokua,Phoenix,Imprudence
Attached Files

- Relationships

-  Notes
(0022719)
bibuccia (reporter)
2012-09-28 07:09

i can confirm it and I have noticed another thing about terraforming in Opensim: Smooth brush doesn't work. If you are working on the south side of the sim, it brings all the selectioned area heights of the terrain to the slower ones; if you are working on the north side of the sim, it brings all the selectioned area heights of the terrain to the higher ones... smooth doesn't find a medium value between slow and high heights of terrain, but it takes the minimum or the maximum value among them.
(0022724)
Robert Adams (administrator)
2012-09-28 13:26

I have seen this also. When this is occurring (waiting for the bulldozed terrain to update), I observed that the terrain update output queue on the region is large and is going down slowly. (User "show queues" on the region console to see the output queue length).

My suspicion is that terrain editing is generating many, many terrain updates and the throttling rate for terrain update packets is forcing them to queue up.
(0024263)
Teravus (administrator)
2013-08-07 20:42

The original issue is editing user terrain lag which has been fixed which makes editing the terrain much easier. This does not fix the comment below about certain tools not working as expected. For that, I suggest making it's own bug report.

Fixed in : http://opensimulator.org/viewgit/?a=commit&p=opensim&h=99a4a914887c16483074b0145b9b6da765ac024a [^]

- Issue History
Date Modified Username Field Change
2012-09-27 07:15 nickyp New Issue
2012-09-28 07:09 bibuccia Note Added: 0022719
2012-09-28 13:26 Robert Adams Note Added: 0022724
2013-08-07 20:42 Teravus Note Added: 0024263
2013-08-07 20:42 Teravus Status new => resolved
2013-08-07 20:42 Teravus Fixed in Version => master (dev code)
2013-08-07 20:42 Teravus Resolution open => fixed
2013-08-07 20:42 Teravus Assigned To => Teravus
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker